Struts 2.5-BETA2 发布,添加安全选项 Strict DMI

2015年10月06日 08:00 461 次阅读 来源: 开源中国 作者: 路人甲
摘要 Apache Struts 2.5-BETA2 发布,此版本是个 Beta 版本,Apache Struts 2 是创建企业级 Java Web 应用的可扩展框架,无缝的开发周期,构建,部署和维护。此版本主要改进如下:BETA1 新特性-XWorksourcewasmergedintoStrutsCoresource,itmeansthatthere benomorexworkartifactno...

        Apache Struts 2.5-BETA2 发布,此版本是个 Beta 版本,Apache Struts 2 是创建企业级 Java Web 应用的可扩展框架,无缝的开发周期,构建,部署和维护。


此版本主要改进如下:

BETA1 新特性

- XWork source was merged into Struts Core source, it means that there
be no more xwork artifact nor dedicated jar
- OGNL was upgraded to version 3.0.11 and it breaks access to
properties as it follows Java Bean Specification, see WW-4207 and
WW-3909
- Spring dependency for tests and spring plugin was upgraded to
version 4.1.6, see WW-4510.
- Struts2 internal logging api was marked as deprecated and was
replaced with new Log4j2 api as logging layer, see WW-4504.
- Struts2 is now build with JDK7, see WW-4503.
- New plugin to support bean validation is now part of the
distribution, see WW-4505.
- Deprecated plugins are now removed from the distribution and are not
longer supported anymore.
- - Dojo Plugin
- - Codebehind Plugin
- - JSF Plugin
- - Struts1 Plugin


BETA2 新特性

- 添加安全选项 - Strict Method Invocation (also known
as Strict DMI), see WW-4540
- 在 Maven 中添加对最新稳定版本 AngularJS 的支持


下载:http://struts.apache.org/download.cgi#struts-beta  

Maven Group ID "org.apache.struts"


Apache Struts 2.5.x 最低要求:

* Java SE 7
* Java Servlet 2.4 and JavaServer Pages (JSP) 2.0
* Java 2 Standard Platform Edition (J2SE) 5

发行说明:http://struts.apache.org/2.x/docs/version-notes-25.html  

还可以输入136 讨论区:
评 论